---
lang: en
title: 'API docs: repository.modelsettings.scope'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.modelsettings.scope.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ModelSettings](./repository.modelsettings.md) &gt; [scope](./repository.modelsettings.scope.md)

## ModelSettings.scope property

Scope enables you to set a scope that will apply to every query made by the model's repository

**Signature:**

```typescript
scope?: object;
```

